Categories:
  - Sports & Health
License: Apache-2.0
SourceCode: https://codeberg.org/corona-contact-tracing-germany/cwa-android
IssueTracker: https://codeberg.org/corona-contact-tracing-germany/cwa-android/issues
Changelog: https://codeberg.org/corona-contact-tracing-germany/cwa-android/src/branch/main/CHANGELOG.md
Liberapay: CCTG

RepoType: git
Repo: https://codeberg.org/corona-contact-tracing-germany/cwa-android.git
Binaries: https://bubu1.eu/cctg/fdroid/repo/de.corona.tracing_%c.apk

Builds:
  - versionName: 1.7.1.2
    versionCode: 1070102
    commit: v1.7.1.2
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.9.1.4
    versionCode: 1090104
    commit: v1.9.1.4
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.9.1.5
    versionCode: 1090105
    commit: v1.9.1.5
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.9.1.6
    versionCode: 1090106
    commit: v1.9.1.6
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.10.1.1
    versionCode: 1100101
    commit: v1.10.1.1
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.11.0.8
    versionCode: 1110008
    commit: v1.11.0.8
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.12.0.0
    versionCode: 1120005
    commit: v1.12.0.0
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.13.2.0
    versionCode: 1130200
    disable: broken
    commit: v1.13.2.0
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.13.2.3
    versionCode: 1130203
    commit: v1.13.2.3
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.14.3.0
    versionCode: 1140300
    commit: v1.14.3.0
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.4.7075529/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21e

  - versionName: 1.15.1.0
    versionCode: 1150100
    commit: v1.15.1.0
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.4.7075529/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21e

  - versionName: 2.0.3.0
    versionCode: 2000300
    commit: v2.0.3.0
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.4.7075529/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
    scandelete:
      - protobuf/build
    ndk: r21e

  - versionName: 2.0.5.0
    versionCode: 2000500
    commit: v2.0.5.0
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.4.7075529/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
    scandelete:
      - protobuf/build
    ndk: r21e

  - versionName: 2.1.2.2
    versionCode: 2010202
    disable: DOES NOT VERIFY
    commit: v2.1.2.2
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.4.7075529/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
    scandelete:
      - protobuf/build
    ndk: r21e

  - versionName: 2.2.1.0
    versionCode: 2020101
    disable: DOES NOT VERIFY
    commit: v2.2.1.0
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.4.7075529/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
    scandelete:
      - protobuf/build
    ndk: r21e

  - versionName: 2.2.1.1
    versionCode: 2020102
    commit: v2.2.1.1
    subdir: Corona-Warn-App
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
    scandelete:
      - protobuf/build

  - versionName: 2.3.4.1
    versionCode: 2030401
    commit: v2.3.4.1
    subdir: Corona-Warn-App
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
    scandelete:
      - protobuf/build

  - versionName: 2.4.3.0
    versionCode: 2040301
    commit: v2.4.3.0
    subdir: Corona-Warn-App
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
    scandelete:
      - protobuf/build

  - versionName: 2.5.1.0
    versionCode: 2050101
    commit: v2.5.1.0
    subdir: Corona-Warn-App
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
    scandelete:
      - protobuf/build

  - versionName: 2.10.1.0
    versionCode: 2100101
    commit: v2.10.1.0
    subdir: Corona-Warn-App
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
      - Corona-Warn-App/src/main/assets/default_dsc_list.bin
    scandelete:
      - protobuf/build

  - versionName: 2.11.2.0
    versionCode: 2110200
    commit: v2.11.2.0
    subdir: Corona-Warn-App
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
      - Corona-Warn-App/src/main/assets/default_dsc_list.bin
    scandelete:
      - protobuf/build

  - versionName: 2.14.1.0
    versionCode: 2140101
    disable: DOES NOT VERIFY
    commit: v2.14.1.0
    subdir: Corona-Warn-App
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
      - Corona-Warn-App/src/main/assets/default_dsc_list.bin
      - GmsCore/firebase-auth-core/build.gradle
      - GmsCore/play-services-core/build.gradle
    scandelete:
      - protobuf/build

  - versionName: 2.14.1.1
    versionCode: 2140102
    disable: DOES NOT VERIFY
    commit: v2.14.1.1
    subdir: Corona-Warn-App
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
      - Corona-Warn-App/src/main/assets/default_dsc_list.bin
      - GmsCore/firebase-auth-core/build.gradle
      - GmsCore/play-services-core/build.gradle
    scandelete:
      - protobuf/build

  - versionName: 2.14.1.2
    versionCode: 2140103
    commit: v2.14.1.2
    subdir: Corona-Warn-App
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
      - Corona-Warn-App/src/main/assets/default_dsc_list.bin
      - GmsCore/firebase-auth-core/build.gradle
      - GmsCore/play-services-core/build.gradle
    scandelete:
      - protobuf/build

  - versionName: 2.14.1.3
    versionCode: 2140104
    commit: v2.14.1.3
    subdir: Corona-Warn-App
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
      - Corona-Warn-App/src/main/assets/default_dsc_list.bin
      - GmsCore/firebase-auth-core/build.gradle
      - GmsCore/play-services-core/build.gradle
    scandelete:
      - protobuf/build

  - versionName: 2.18.1.0
    versionCode: 2180100
    commit: v2.18.1.0
    subdir: Corona-Warn-App
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
      - Corona-Warn-App/src/main/assets/default_dsc_list.bin
      - Corona-Warn-App/src/main/assets/ccl/ccl-configuration.bin
      - GmsCore/firebase-auth-core/build.gradle
      - GmsCore/play-services-core/build.gradle
    scandelete:
      - protobuf/build

  - versionName: 2.21.1.2
    versionCode: 2210102
    disable: DOES NOT VERIFY
    commit: v2.21.1.2
    subdir: Corona-Warn-App
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
      - Corona-Warn-App/src/main/assets/default_dsc_list.bin
      - Corona-Warn-App/src/main/assets/ccl/ccl-configuration.bin
      - GmsCore/firebase-auth-core/build.gradle
      - GmsCore/play-services-core/build.gradle
    scandelete:
      - protobuf/build

  - versionName: 2.24.2.1
    versionCode: 2240202
    commit: v2.24.2.1
    subdir: Corona-Warn-App
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
      - Corona-Warn-App/src/main/assets/default_dsc_list.bin
      - Corona-Warn-App/src/main/assets/ccl/ccl-configuration.bin
      - GmsCore/firebase-auth-core/build.gradle
      - GmsCore/play-services-core/build.gradle
      - Corona-Warn-App/build.gradle
    scandelete:
      - protobuf/build

  - versionName: 2.25.0.0
    versionCode: 2250002
    commit: v2.25.0.0
    subdir: Corona-Warn-App
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
      - Corona-Warn-App/src/main/assets/default_dsc_list.bin
      - Corona-Warn-App/src/main/assets/ccl/ccl-configuration.bin
      - GmsCore/firebase-auth-core/build.gradle
      - GmsCore/play-services-core/build.gradle
      - Corona-Warn-App/build.gradle
    scandelete:
      - protobuf/build

  - versionName: 2.26.0.0
    versionCode: 2260004
    commit: v2.26.0.0
    subdir: Corona-Warn-App
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
      - Corona-Warn-App/src/main/assets/default_dsc_list.bin
      - Corona-Warn-App/src/main/assets/ccl/ccl-configuration.bin
      - GmsCore/firebase-auth-core/build.gradle
      - GmsCore/play-services-core/build.gradle
      - Corona-Warn-App/build.gradle
    scandelete:
      - protobuf/build

MaintainerNotes: |-
    scanignored are some protobuf encoded config files, view them with:
    protoc --decode de.rki.coronawarnapp.server.protocols.internal.v2.ApplicationConfigurationAndroid \
    Server-Protocol-Buffer/src/main/proto/internal/v2/app_config_android.proto --proto_path \
    Server-Protocol-Buffer/src/main/proto/ < Corona-Warn-App/src/main/assets/default_app_config_android.bin

    And the pdf template for the qr code print version
    protoc --decode de.rki.coronawarnapp.server.protocols.internal.pt.QRCodePosterTemplateAndroid \
    Server-Protocol-Buffer/src/main/proto/internal/pt/qr_code_poster_template.proto --proto_path \
    Server-Protocol-Buffer/src/main/proto/ < Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin

    Additionally, there is a rather long protobuf file with some signatures (again, as default config).
    protoc --decode de.rki.coronawarnapp.server.protocols.internal.dgc.DscList \
    Server-Protocol-Buffer/src/main/proto/internal/dgc/dsc_list.proto \
    --proto_path Server-Protocol-Buffer/src/main/proto/ < \
    Corona-Warn-App/src/main/assets/default_dsc_list.bin > default_dsc_list.txt

    CCL (Common Covid Logic) configuration file (CBOR encoded JSON):
    cat Corona-Warn-App/src/main/assets/ccl/ccl-configuration.bin | python -m cbor2.tool --pretty

    Also microG isn't firebase, so we scanignore that as well.

    Also also, we need to scanignore the main build.gradle file because of
    https://gitlab.com/fdroid/fdroidserver/-/issues/1023

    The library the scanner complaines about (kotlinx-coroutines-play-services) is free software and
    it just has a gradle dependency on a gms lib. We explicitly exclude this here, so it doesn't
    get pulled in as a dependency. Instead we use the microG Tasks implementation. See:

    https://codeberg.org/corona-contact-tracing-germany/cwa-android/src/branch/main/Corona-Warn-App/build.gradle#L324-L326

AutoUpdateMode: None
UpdateCheckMode: Tags v\d+\.\d+\.\d+\.\d+$
CurrentVersion: 2.26.0.0
CurrentVersionCode: 2260004
